package com.abbidot.tracker.ui.activity.account.cn

import com.abbidot.baselibrary.constant.MMKVKey
import com.abbidot.tracker.ui.activity.account.AddEmailValidActivity
import com.abbidot.tracker.ui.fragment.account.EmailValidFragment
import com.abbidot.tracker.ui.fragment.account.ForgotPasswordV2ThereFragment
import com.abbidot.tracker.ui.fragment.account.cn.AccountCnPhoneFragment

/**
 *Created  by .yzq on 2024/8/2/002.
 * @link
 * @description:
 */
class ForgotPasswordCNActivity : AddEmailValidActivity() {

    override fun initData() {
        mContext = this
        intent.extras?.apply {
            mUserEmail = getString(MMKVKey.Email, "")
        }
        mEmailValidFragment = EmailValidFragment.newInstance(mContext, 2) {
            switchFragment(2)
        }.apply {
            mContext = this@ForgotPasswordCNActivity
            mFragmentList.add(AccountCnPhoneFragment.newInstance(mContext!!))
            mFragmentList.add(this)
            mFragmentList.add(ForgotPasswordV2ThereFragment.newInstance(mContext!!))
        }
        super.initData()
    }

}